// ParticlesFX, extend the Particles

class ParticleFX extends Particle
{
  PVector _color;
  float   _size;
  
  ParticleFX(PVector pos,PVector dir,int lifeTime,PVector objClr,float objSize)
  {
    super(pos,dir,lifeTime);
    _color = objClr.get();
    _size = objSize;
  }
   
  void draw()
  {
    stroke(_color.x,_color.y,_color.z,255.0 * _normTime);
    fill(_color.x,_color.y,_color.z,255.0 * _normTime);
    ellipse(_pos.x,_pos.y, _normTime * _size, _normTime * _size);
  }
}


